OSTREE(1)

NAME
ostree - Operating system build, deployment, and development tool

SYNOPSIS

ostree {--repo=REPO} {COMMAND} [OPTIONS...]

DESCRIPTION

OSTree is a system for building, deploying, and developing Linux-based operating systems. For many cases, it can fill the role of "package managers" such as RPM and .deb.

At its heart, OSTree is very similar to git - but it is designed explicitly for managing files like ELF binaries. Unlike a typical version control system, OSTree is capable of tracking file UID and GIDs, as well as all extended attributes such as ACLs and SELinux security contexts. You should think of OSTree as a flexible but specialized userspace filesystem.

OPTIONS

The following options are understood:

--repo
    For most commands, when run as non-root, repository is required. If ostree is run as root, it is assumed operations will be performed on the /sysroot/ostree/repo repository.

The following commands are understood:

checkout
    Extract a given branch into the filesystem.

checksum
    Compute the OSTree checksum of the given files.

diff
    Concisely list differences between the given branch revisions, without checking them out into the filesystem.

init
    Initialize a repository.

commit
    Given one or more trees (from the local filesystem, a tarball, or a specified revision for example), create a new commit using those contents.

compose
    A specialized type of commit, intended for merging together many separate filesystem trees such as build artifacts.

local-clone
    Efficiently copy objects and references from one local repository into another.

log
    Show revision log.

ls
    List the contents of a given commit.

fsck
    Check a repository for consistency.

remote
    Manipulate remote archive configuration.

rev-parse
    Show the SHA256 corresponding to a given rev.

run-triggers
    Regenerate cache files in the given operating system tree.

show
    Given an OSTree SHA256 checksum, display its contents.

EXIT STATUS

On success 0 is returned, a non-zero failure code otherwise.

ENVIRONMENT

$PAGER
    ostree respects the traditional pager envrionment variable.

SEE ALSO

ostbuild(1)

AUTHOR

Colin Walters <walters@verbum.org>
    Developer